unit drect2f;

{$MODE FPC}
{$MODESWITCH RESULT}

interface

uses
  dvector2f;

type
TRect2f = packed record
  P, S: TVec2f;
end;

function Rect2f(const P, S: TVec2f): TRect2f; inline;

implementation

function Rect2f(const P, S: TVec2f): TRect2f;
begin
  Result.P := P;
  Result.S := S;
end;

end.
